
Figure - 开发 Dev #113212
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110638 (解决 Resolved): 【MK】【008】【BOOT】主任务

【MK】【008】【BOOT】【TC-RID:1200-0100806】交付SDK
2022-10-27 20:58 - CD BSP-唐金泽

Status: 保留中 Pending Start date: 2022-11-23

Priority: Normal Due date:

Assignee: CD TPM-王祥林 % Done: 10%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

基线SDK 制作及验证

History

#1 - 2022-10-31 10:43 - CD BSP-杜磊

- Status changed from 未着手 Not Started to 进行中 In Progress

- Assignee changed from CD BSP-唐金泽 to CD BSP-杜磊

#2 - 2022-11-07 18:26 - CD BSP-杜磊

- % Done changed from 0 to 10

#3 - 2022-11-24 18:27 - CD BSP-杜磊

第一遍已经编译完成，但是烧写后系统无法进安卓，正在debug进行第二次编译

#4 - 2022-11-25 19:00 - CD BSP-杜磊

- % Done changed from 10 to 20

Fix如下编译问题，

6. aboot编译失败

53499 BaseTools C Tool binary was not found (GenFw)

53500 You may need to run:

53501   make -C /home/leo/workspace/figure/vendor/LINUX/android/bootable/bootloader/edk2/BaseTools/Source/C

53502 cp -f

/home/leo/workspace/figure/vendor/LINUX/sdk_test/out/target/product/figure/obj/ABL_OBJ/Build/DEBUG_CLANG35/AARCH64/QcomModulePkg/Application/Li

nu      xLoader/LinuxLoader/DEBUG/LinuxLoader.efi /home/leo/workspace/figure/vendor/LINUX/sdk_test/bootable/bootloader/edk2/../../../out/target/product/figure/   

  obj/ABL_OBJ/Build/DEBUG_CLANG35/AARCH64/QcomModulePkg/Application/LinuxLoader/LinuxLoader/OUTPUT

53503 cp: bad

'/home/leo/workspace/figure/vendor/LINUX/sdk_test/out/target/product/figure/obj/ABL_OBJ/Build/DEBUG_CLANG35/AARCH64/QcomModulePkg/Application/L 

    inuxLoader/LinuxLoader/DEBUG/LinuxLoader.efi': No such file or directory

53504 make1: *** [GNUmakefile:496:

/home/leo/workspace/figure/vendor/LINUX/sdk_test/out/target/product/figure/obj/ABL_OBJ/Build/DEBUG_CLANG35/AARCH64/QcomM     

odulePkg/Application/LinuxLoader/LinuxLoader/DEBUG/LinuxLoader.efi] Error 1

53505 make1: Leaving directory

'/home/leo/workspace/figure/vendor/LINUX/sdk_test/out/target/product/figure/obj/ABL_OBJ/Build/DEBUG_CLANG35/AARCH64/QcomModu     

lePkg/Application/LinuxLoader/LinuxLoader'
执行如下：

make -C /home/leo/workspace/figure/vendor/LINUX/android/bootable/bootloader/edk2/BaseTools/Source/C

7. mk规则改变，导致头文件无法找到

vendor/qcom/opensource/audio-hal/primary-hal/hal/audio_hw.c:89:10: fatal error: 'log_xml_parser.h' file not found

#include <log_xml_parser.h>

          ^~~~~~~~~~~~~~~~

1 error generated.

vendor/qcom/proprietary/mm-audio/audio-log-utils/Android.mk

+ include $(BUILD_COPY_HEADERS)

vendor/qcom/opensource/audio-hal/st-hal/st_graphite_api.h:33:10: fatal error: 'graphite_common.h' file not found

#include "graphite_common.h"

vendor/qcom/proprietary/mm-audio/graphite-client/gcs/Android.mk

+ include $(BUILD_COPY_HEADERS)

out/target/product/figure/obj/include/mm-audio/graphite-client/gcs/graphite_common.h:17:10: fatal error: 'osal_pack_start.h' file not found

21702 #include <osal_pack_start.h>

vendor/qcom/proprietary/mm-audio/graphite-client/osal/Android.mk

+ include $(BUILD_COPY_HEADERS)

vendor/qcom/opensource/audio-hal/primary-hal/hal/audio_extn/passthru.c:56:10: fatal error: 'audio_parsers.h' file not found

#include "audio_parsers.h"

vendor/qcom/proprietary/mm-audio/audio-parsers/Android.mk

+ include $(BUILD_COPY_HEADERS)

8. Android.bp中未定义如下两个hild_interface,需要参考源码补全

FAILED: out/target/product/figure/vendor/etc/init/init.embmssl_server.rc

 /bin/bash -c "(out/host/linux-x86/bin/host_init_verifier -p out/target/product/figure/obj/ETC/passwd_system_intermediates/passwd_system -p out/target/p     

roduct/figure/obj/ETC/passwd_vendor_intermediates/passwd_vendor -p out/target/product/figure/obj/ETC/passwd_odm_intermediates/passwd_odm -p out/target/     

product/figure/obj/ETC/passwd_product_intermediates/passwd_product --property-contexts=out/target/product/figure/obj/ETC/plat_property_contexts_interme     

diates/plat_property_contexts --property-contexts=out/target/product/figure/obj/ETC/system_ext_property_contexts_intermediates/system_ext_property_cont      exts

--property-contexts=out/target/product/figure/obj/ETC/product_property_contexts_intermediates/product_property_contexts --property-contexts=out/ta     

rget/product/figure/obj/ETC/vendor_property_contexts_intermediates/vendor_property_contexts --property-contexts=out/target/product/figure/obj/ETC/odm_p     

roperty_contexts_intermediates/odm_property_contexts vendor/qcom/proprietary/prebuilt_HY11/target/product/kona/vendor/etc/init/init.embmssl_server.rc )       &&

(mkdir -p out/target/product/figure/vendor/etc/init/ ) && (rm -f out/target/product/figure/vendor/etc/init/init.embmssl_server.rc ) && (cp \"vendor     

/qcom/proprietary/prebuilt_HY11/target/product/kona/vendor/etc/init/init.embmssl_server.rc\" \"out/target/product/figure/vendor/etc/init/init.embmssl_s      erver.rc\" )"

host_init_verifier: vendor/qcom/proprietary/prebuilt_HY11/target/product/kona/vendor/etc/init/init.embmssl_server.rc: 7:

 Interface is not in the known set of hidl_interfaces: 'vendor.qti.hardware.embmssl@1.0::IEmbms'. Please ensure the interface is spelled correctly and b      uilt by a

hidl_interface target.

Interface is not in the known set of hidl_interfaces: 'vendor.qti.hardware.embmssl@1.1::IEmbms'. Please ensure the interface is spelled correctly and b      uilt by a

hidl_interface target.

 host_init_verifier: Failed to parse init script 'vendor/qcom/proprietary/prebuilt_HY11/target/product/kona/vendor/etc/init/init.embmssl_server.rc' with       1 errors

vendor/qcom/proprietary/embms/Android.bp

9. Overlay预编译的app,需要更改Android.mk的编译规则，FrameworksResTarget.apk未找到

[ 99% 6393/6440] FrameworksResTarget dexpreopt
FAILED: out/target/product/figure/obj/APPS/FrameworksResTarget_intermediates/dexpreopt.zip

/bin/bash -c "bash out/target/product/figure/obj/APPS/FrameworksResTarget_intermediates/dexpreopt.sh

vendor/qcom/proprietary/commonsys-intf/resource-overlay/kona/Frameworks/FrameworksResTarget.apk

out/target/product/figure/obj/APPS/FrameworksResTarget_intermediates/dexpreopt.zip" 

dex2oatd64 E 11-25 18:50:36  4430  4430 oat_writer.cc:571] No dex files in zip file '/vendor/overlay/FrameworksResTarget/FrameworksResTarget.apk': Entry not found

#5 - 2022-11-28 19:13 - CD BSP-杜磊

- % Done changed from 20 to 30

3. apk overlay编译错误。

build/make/core/app_prebuilt_internal.mk:143: error: No LOCAL_CERTIFICATE specified for prebuilt

"vendor/qcom/proprietary/gps/OptInAppOverlay/OptInAppOverlay.apk".

vendor/qcom/proprietary/gps/OptInAppOverlay/Android.mk

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE_TAGS   := optional

LOCAL_MODULE := OptInAppOverlay

LOCAL_MODULE_CLASS  := APPS

LOCAL_MODULE_SUFFIX := $(COMMON_ANDROID_PACKAGE_SUFFIX)

LOCAL_PACKAGE_NAME  := $(LOCAL_MODULE)

LOCAL_CERTIFICATE   := PRESIGNED

LOCAL_DEX_PREOPT    := false

LOCAL_REPLACE_PREBUILT_APK_INSTALLED := $(LOCAL_PATH)/$(LOCAL_MODULE).apk

LOCAL_MODULE_PATH := $(PRODUCT_OUT)/vendor/overlay

include $(BUILD_PREBUILT)

FAILED: out/target/product/figure/obj/APPS/FrameworksResTarget_intermediates/dexpreopt.zip

/bin/bash -c "bash out/target/product/figure/obj/APPS/FrameworksResTarget_intermediates/dexpreopt.sh vendor/qcom/proprietary/commonsys-intf/resource-ov     

erlay/kona/Frameworks/FrameworksResTarget.apk out/target/product/figure/obj/APPS/FrameworksResTarget_intermediates/dexpreopt.zip" 

dex2oatd64 E 11-25 18:50:36  4430  4430 oat_writer.cc:571] No dex files in zip file '/vendor/overlay/FrameworksResTarget/FrameworksResTarget.apk': Entr      y not found

error: out/target/product/figure/obj/APPS/FrameworksResTarget_intermediates/dexpreopt.sh:23 exited with status 1

error in command:

vendor/qcom/proprietary/commonsys-intf/resource-overlay/kona/Frameworks/Android.mk

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE_TAGS   := optional

LOCAL_MODULE := FrameworksResTarget

LOCAL_SRC_FILES := FrameworksResTarget.apk

LOCAL_MODULE_CLASS  := APPS

LOCAL_MODULE_SUFFIX := $(COMMON_ANDROID_PACKAGE_SUFFIX)

LOCAL_PACKAGE_NAME  := $(LOCAL_MODULE)

LOCAL_CERTIFICATE   := PRESIGNED

LOCAL_DEX_PREOPT    := false

LOCAL_REPLACE_PREBUILT_APK_INSTALLED := $(LOCAL_PATH)/$(LOCAL_MODULE).apk

LOCAL_MODULE_PATH := $(PRODUCT_OUT)/vendor/overlay

include $(BUILD_PREBUILT)

atd64 E 11-28 11:06:58 26552 26552 oat_writer.cc:571] No dex files in zip file '/vendor/overlay/WifiResTarget/WifiResTarget.apk': Entry not found
error: out/target/product/figure/obj/APPS/WifiResTarget_intermediates/dexpreopt.sh:23 exited with status 1

error in command:

vendor/qcom/proprietary/commonsys-intf/resource-overlay/kona/Wifi/Android.mk

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE_TAGS   := optional

LOCAL_MODULE := WifiResTarget

LOCAL_SRC_FILES := WifiResTarget.apk

LOCAL_MODULE_CLASS  := APPS

LOCAL_MODULE_SUFFIX := $(COMMON_ANDROID_PACKAGE_SUFFIX)

LOCAL_PACKAGE_NAME  := $(LOCAL_MODULE)

LOCAL_CERTIFICATE   := PRESIGNED

LOCAL_DEX_PREOPT    := false

LOCAL_REPLACE_PREBUILT_APK_INSTALLED := $(LOCAL_PATH)/$(LOCAL_MODULE).apk

LOCAL_MODULE_PATH := $(PRODUCT_OUT)/vendor/overlay

include $(BUILD_PREBUILT)

#6 - 2022-12-07 17:21 - CD BSP-杜磊

ftp://cdiot@192.168.87.46/Pre_figure/SDK/proprietary-OK-1207.zip

#7 - 2022-12-20 11:00 - CD BSP-杜磊

- % Done changed from 30 to 60

初版作成：

ftp://cdiot@192.168.87.46/Pre_figure/SDK/release/proprietary-20221220.zip

能正常开机

#8 - 2022-12-23 12:16 - CD BSP-杜磊

- File pmk.py added

- File Copy_file.sh added

- File make_image.sh added

- File resc added

#9 - 2023-01-03 14:51 - CD BSP-杜磊

- Status changed from 进行中 In Progress to 解决 Resolved

- % Done changed from 60 to 100

#10 - 2023-04-13 11:34 - CD BSP-杜磊

- Status changed from 解决 Resolved to 进行中 In Progress

- % Done changed from 100 to 10

Hi, 祥林，

需要SCM, 基于开发分支创建SDK分支
#11 - 2023-04-14 17:18 - CD BSP-杜磊

- Status changed from 进行中 In Progress to 保留中 Pending

- Assignee changed from CD BSP-杜磊 to CD TPM-王祥林

#12 - 2023-06-27 16:00 - CD BSP-杜磊

- File Figure_sdk_notes.txt added

Files

pmk.py 54.2 KB 2022-12-23 CD BSP-杜磊

Copy_file.sh 17.7 KB 2022-12-23 CD BSP-杜磊

make_image.sh 3.1 KB 2022-12-23 CD BSP-杜磊

resc 13.1 KB 2022-12-23 CD BSP-杜磊

Figure_sdk_notes.txt 16.3 KB 2023-06-27 CD BSP-杜磊
